"use strict";

const baseUrl = 'http://localhost:8082';

$(document).ready(function () {
    checkAvailability();
});

window.addEventListener('storage', () => {
    loadImage();
});

function loadImage() {
    const identifier = localStorage.getItem('opensong-identifier');
    const url = `${baseUrl}/presentation/slide/${identifier}/image/width:1920/height:1080/quality:30`;
    $("#opensong-slide").attr("src", url);
}

function preload(start, end) {
    console.log('preloading...');
    var images = new Array();
    for (let i = start; i < end; i++) {
        images[i] = new Image();
        images[i].src = `${baseUrl}/presentation/slide/${i}/image/width:1920/height:1080/quality:30`;
    }
}

function checkAvailability(){
    $.get(`${baseUrl}/presentation/slide/1`).done(function () {
        const identifier = localStorage.getItem('opensong-identifier');
        const lastIdentifier = localStorage.getItem('opensong-last-identifier');
        if(identifier === null) {
            localStorage.setItem('opensong-identifier', 1);
        }
        loadImage();
        console.log(`last: ${lastIdentifier}`);
        preload(1, lastIdentifier);
    }).fail(function () {
        setTimeout(checkAvailability, 300);
    });
}